Deleted trailing whitespace

This commit is contained in:
Robert Rothenberg 2011-03-17 14:53:36 +00:00
parent 98f88cf1dc
commit f72117748b

16
trash
View File

@ -9,7 +9,7 @@
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
@ -68,7 +68,7 @@ case $1 in
arg=`strip_quotes "$1"`
if [ -z "$arg" ]; then
arg=always
fi
fi
interactive=$arg
;;
--version) echo "$0 $version" 1>&2;;
@ -81,7 +81,7 @@ done
# sed script to encode filenames
sedscript='s/ /%20/g
sedscript='s/ /%20/g
s/!/%21/g
s/"/%22/g
s/\#/%23/g
@ -143,7 +143,7 @@ function get_trashdir {
mkdir -p "$trashdir"
if [ "$?" != "0" ]; then
base=$HOME
fi
fi
fi
if [ "$base" == "$HOME" ]; then
@ -153,7 +153,7 @@ function get_trashdir {
fi
trashdir="$base/Trash"
fi
echo $trashdir
}
@ -169,7 +169,7 @@ function can_trash {
filename=$1
if [ ! -e "$filename" ]; then
echo "$0: cannot move \`$filename' to trash: No such file or directory" 1>&2
echo "$0: cannot move \`$filename' to trash: No such file or directory" 1>&2
echo 0
else
@ -187,7 +187,7 @@ function can_trash {
echo 1
else
echo 0
fi
fi
;;
*) echo "$0: unsupported value interactive=${interactive}" 1>&2 ; echo 0; exit 1 ;;
esac
@ -224,7 +224,7 @@ function trash_file {
if [ "$ext" == ".$trashname" ]; then
ext=""
fi
cnt=1
while [ -e "$trashdir/files/$trashname" ] || \
[ -e "$trashdir/info/$trashname.trashinfo" ]; do